Bug 269281 - IDE can't create full remote project with space in name
IDE can't create full remote project with space in name
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
Dev
PC Solaris
: P2 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
82patch1-verified
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-09 10:30 UTC by soldatov
Modified: 2016-12-13 14:56 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description soldatov 2016-12-09 10:30:50 UTC
Regression in Full Remote tests.

Scenario:
- Add remote host
- Select remote host as a default host
- Push "Create C/C++ Project button" button on toolbar
- Select C/C++ Application type and Press Next
- Type "Cpp Application_2" in project name field
- Press Finish button
===>

INFO [remote.support.logger]: Not found entry for file login@host:/export/hudson/home/NetBeansProjects/Cpp Application_2/main.cpp [valid]
INFO [org.openide.WizardDescriptor]
java.io.IOException: unzip:  cannot find or open /export/hudson/home/NetBeansProjects/Cpp, /export/hudson/home/NetBeansProjects/Cpp.zip or /export/hudson/home/NetBeansProjects/Cpp.ZIP. when unzipping and removing /export/hudson/home/NetBeansProjects/Cpp Application_2/.rfs_tmp_1481278952205.zip in login@host:/export/hudson/home/NetBeansProjects/Cpp Application_2 [valid]
	at org.netbeans.modules.remote.impl.fs.RemoteDirectory.uploadAndUnzip(RemoteDirectory.java:1633)
	at org.netbeans.modules.remote.impl.fs.RemoteDirectory.resumeWritesUpload(RemoteDirectory.java:1571)
	at org.netbeans.modules.remote.impl.fs.RemoteFileSystemProvider.resumeWritesUpload(RemoteFileSystemProvider.java:584)
	at org.netbeans.modules.remote.spi.FileSystemProvider.resumeWritesUpload(FileSystemProvider.java:717)
	at org.netbeans.modules.cnd.makeproject.ui.MakeProjectGeneratorImpl.createProject(MakeProjectGeneratorImpl.java:165)
	at org.netbeans.modules.cnd.makeproject.ui.MakeProjectGeneratorImpl.createProject(MakeProjectGeneratorImpl.java:96)
	at org.netbeans.modules.cnd.remote.projectui.wizard.cnd.NewMakeProjectWizardIterator.instantiate(NewMakeProjectWizardIterator.java:494)
	at org.netbeans.modules.cnd.remote.projectui.wizard.cnd.NewMakeProjectWizardIterator.instantiate(NewMakeProjectWizardIterator.java:345)
	at org.openide.loaders.TemplateWizard$InstantiatingIteratorBridge.instantiate(TemplateWizard.java:1051)
	at org.openide.loaders.TemplateWizard.handleInstantiate(TemplateWizard.java:605)
	at org.openide.loaders.TemplateWizard.instantiateNewObjects(TemplateWizard.java:439)
	at org.openide.loaders.TemplateWizardIterImpl.instantiate(TemplateWizardIterImpl.java:253)
	at org.openide.loaders.TemplateWizardIteratorWrapper$ProgressInstantiatingIterator.instantiate(TemplateWizardIteratorWrapper.java:180)
	at org.openide.WizardDescriptor.callInstantiateOpen(WizardDescriptor.java:1626)
	at org.openide.WizardDescriptor.callInstantiate(WizardDescriptor.java:1570)
	at org.openide.WizardDescriptor.access$2300(WizardDescriptor.java:92)
[catch] at org.openide.WizardDescriptor$Listener$2$1.run(WizardDescriptor.java:2257)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1443)
	at org.netbeans.modules.openide.util.GlobalLookup.execute(GlobalLookup.java:68)
	at org.openide.util.lookup.Lookups.executeWith(Lookups.java:303)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2058)
java.io.IOException: unzip:  cannot find or open /export/hudson/home/NetBeansProjects/Cpp, /export/hudson/home/NetBeansProjects/Cpp.zip or /export/hudson/home/NetBeansProjects/Cpp.ZIP. when unzipping and removing /export/hudson/home/NetBeansProjects/Cpp Application_2/.rfs_tmp_1481278952205.zip in login@host:/export/hudson/home/NetBeansProjects/Cpp Application_2 [valid]
	at org.netbeans.modules.remote.impl.fs.RemoteDirectory.uploadAndUnzip(RemoteDirectory.java:1633)
	at org.netbeans.modules.remote.impl.fs.RemoteDirectory.resumeWritesUpload(RemoteDirectory.java:1571)
	at org.netbeans.modules.remote.impl.fs.RemoteFileSystemProvider.resumeWritesUpload(RemoteFileSystemProvider.java:584)
	at org.netbeans.modules.remote.spi.FileSystemProvider.resumeWritesUpload(FileSystemProvider.java:717)
	at org.netbeans.modules.cnd.makeproject.ui.MakeProjectGeneratorImpl.createProject(MakeProjectGeneratorImpl.java:165)
	at org.netbeans.modules.cnd.makeproject.ui.MakeProjectGeneratorImpl.createProject(MakeProjectGeneratorImpl.java:96)
	at org.netbeans.modules.cnd.remote.projectui.wizard.cnd.NewMakeProjectWizardIterator.instantiate(NewMakeProjectWizardIterator.java:494)
	at org.netbeans.modules.cnd.remote.projectui.wizard.cnd.NewMakeProjectWizardIterator.instantiate(NewMakeProjectWizardIterator.java:345)
	at org.openide.loaders.TemplateWizard$InstantiatingIteratorBridge.instantiate(TemplateWizard.java:1051)
	at org.openide.loaders.TemplateWizard.handleInstantiate(TemplateWizard.java:605)
	at org.openide.loaders.TemplateWizard.instantiateNewObjects(TemplateWizard.java:439)
	at org.openide.loaders.TemplateWizardIterImpl.instantiate(TemplateWizardIterImpl.java:253)
	at org.openide.loaders.TemplateWizardIteratorWrapper$ProgressInstantiatingIterator.instantiate(TemplateWizardIteratorWrapper.java:180)
	at org.openide.WizardDescriptor.callInstantiateOpen(WizardDescriptor.java:1626)
	at org.openide.WizardDescriptor.callInstantiate(WizardDescriptor.java:1570)
	at org.openide.WizardDescriptor.access$2300(WizardDescriptor.java:92)
	at org.openide.WizardDescriptor$Listener$2$1.run(WizardDescriptor.java:2257)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1443)
	at org.netbeans.modules.openide.util.GlobalLookup.execute(GlobalLookup.java:68)
	at org.openide.util.lookup.Lookups.executeWith(Lookups.java:303)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2058)
Comment 1 soldatov 2016-12-09 10:34:31 UTC
Also I see same problem if project location has space.
Comment 2 Vladimir Kvashin 2016-12-09 11:57:51 UTC
fixed in 7c07eaf8af13 and 7cd532651709 on enum/release82
Comment 3 Quality Engineering 2016-12-11 02:35:26 UTC
Integrated into 'main-silver', will be available in build *201612110001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/2da790a5b131
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #269281 - IDE can't create full remote project with space in name
(transplanted from 7c07eaf8af133f08ce2bb666b0c813ae73951501)
Comment 4 Quality Engineering 2016-12-13 02:35:09 UTC
Integrated into 'main-silver', will be available in build *201612130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/a3f8b5b6bf34
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixed #269281 - IDE can't create full remote project with space in name (i18n)
(transplanted from 25486797f9134ae0d5ba478bba85b5abefebfb90)
Comment 5 soldatov 2016-12-13 14:56:12 UTC
Verified in NetBeans IDE 8.2 (Build 201612122312


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo